/*
 * (C) 1997 Florian Hars
 *
 * Permission to use, copy, modify, and distribute this software and its
 * documentation for any purpose and without fee is hereby granted, provided
 * that the above copyright notice appear in all copies and that both that
 * copyright notice and this permission notice appear in supporting
 * documentation.  This software is provided "as is" without express or
 * implied warranty.
 */

#include "pgmrib.h"

void main (void) {
  int i;
  RtColor White = {1.0, 1.0, 1.0};
  RtPoint from;
  RtFloat fov, inten;
  from[0]=-20; from[1]= 6; from[2]=-20;


  RiBegin(RI_NULL);
  RiDisplay("",RI_FRAMEBUFFER,RI_RGB,RI_NULL);
  RiExposure(1.0, 2.4);
  RiFormat((RtInt) 320, (RtInt) 240, 1.0);
  fov=35.0;
  RiDeclare("intensity", "uniform float");
  RiProjection("perspective", "fov", &fov, RI_NULL);
  RiTranslate(-0.50,-.20, 0.0);
  RiWorldBegin();
    inten= .3;
    RiLightSource("distantlight", (RtToken) "from", (RtPointer) from, RI_NULL);
    RiLightSource("ambientlight", (RtToken) "intensity", (RtPointer) &inten, RI_NULL);
    RiTransformBegin();
      RiScale(1.0, -0.30, 1.0);
      RiRotate(90.0, 1.0, 0.0, 0.0);
      RiColor(White);
      RiSurface("plastic", RI_NULL);
      readpgm("output.pgm");
    RiTransformEnd();
  RiWorldEnd();
  RiEnd();
}


